[Numpy-discussion] numpy with pygsl

John Hunter jdhunter at ace.bsd.uchicago.edu
Wed Nov 20 14:37:02 CST 2002


If I import pygsl.rng before importing Numeric, I get an abort

mother:~> python
Python 2.2.2 (#1, Oct 15 2002, 08:14:58)
[GCC 3.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pygsl.rng
>>> import Numeric
python: Modules/gcmodule.c:366: delete_garbage: Assertion `((((PyGC_Head *)(
op)-1))->gc.gc_refs >= 0)' failed.
Abort


If I import them in the other order, I have no problems.

Numeric 22.0
pygsl version = "0.1a"
gsl-1.2

Any ideas?

Thanks,
John Hunter




More information about the Numpy-discussion mailing list